package com.tmerclub.cloud.api.product.feign;

/**
 * @author gaozijie
 * @since 2023-12-20
 */
public interface TakeStockFeignClient {

    /**
     * 统计未完成的实物盘点数
     * @param warehouseId 仓库id
     * @return 未完成数
     */
    Long countUnFinish(Long warehouseId);

    /**
     * 作废调拨订单（通过仓库id）
     * @param warehouseId 仓库id
     */
    void nullifyByWarehouseId(Long warehouseId);
}
